Subject: Re: [PATCH] gnu: xfce4-session: Disable (duplicate) Gtk+ icon cache generation

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 19 Dec 2017 18:13:38 +0100

Hi Ludo,

On Tue, 19 Dec 2017 11:04:30 +0100
[email-masked] (Ludovic Courtès) wrote:

> Danny Milosavljevic <[email-masked]> skribis:
> 
> > From b31ad22a3b618dbebfc209887b3383a7ce8210b8 Mon Sep 17 00:00:00 2001
> > From: Danny Milosavljevic <[email-masked]>
> > Date: Tue, 19 Dec 2017 10:45:15 +0100
> > Subject: [PATCH] gnu: xfce4-session: Disable (duplicate) Gtk+ icon cache
> >  generation.
> > Tags: patch
> >
> > * gnu/packages/xfce.scm (xfce4-session)[arguments]: Add make-flags to disable
> > Gtk+ icon cache generation.  
> 
> LGTM.

Pushed.

> I wonder if we could do that in a cross-cutting fashion, perhaps in
> ‘glib-or-gtk-build-system’?

I think it's not possible. The Makefile.am this variable is in is source and not generated - as far as I know.

We could have a phase in glib-or-gtk-build-system which at least checks that the cache files are not in the installed files of the package in the end.